curl --request PUT \
--url https://staging.crossmint.com/api/v1-alpha1/minting/collections/{collectionId}/royalties \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"recipients": [
{
"address": "0x71C...",
"basisPoints": 100
}
]
}
'import requests
url = "https://staging.crossmint.com/api/v1-alpha1/minting/collections/{collectionId}/royalties"
payload = { "recipients": [
{
"address": "0x71C...",
"basisPoints": 100
}
] }
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({recipients: [{address: '0x71C...', basisPoints: 100}]})
};
fetch('https://staging.crossmint.com/api/v1-alpha1/minting/collections/{collectionId}/royalties', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": true,
"message": "Invalid arguments or empty parameter <missing parameter>."
}{
"error": true,
"message": "Malformed API key. / API key provided doesn't have required scopes."
}{
"error": true,
"message": "Not found"
}{
"error": true,
"message": "Collection <id> is not yet deployed. Please try again in a moment."
}{
"error": true,
"message": "Please try again in a few minutes. If the issue still persists, contact Crossmint support."
}Set Royalties
Configure royalties for all NFTs in a collection.
This API is only supported for EVM chains and implements the EIP-2981 standard.
API scope required: collections.update
Authorizations
Obtained in the Crossmint developer console
Path Parameters
This is the identifier for the collection related to the request. Every project has default collections: default-solana and default-polygon.
The create-collection API will result in collections with UUID formatted collectionId.
Example: 9c82ef99-617f-497d-9abb-fd355291681b
The create-collection-idempotent API allows you to specify an arbitrary identifier during the initial request.
Example: your-custom-identifier
Body
List of royalty recipients. Note: EVM collections only support a single recipient. Use a contract splitter as recipient in order to send payments to multiple addresses.
Show child attributes
Show child attributes
Response
No-content success response indicating that the request is being processed.
Was this page helpful?

